import { jsx } from "react/jsx-runtime";
import { ArrowLeft as ArrowLeft$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ArrowLeft = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ArrowLeft", ...props, children: /* @__PURE__ */ jsx(ArrowLeft$1, { weight: variant }) });
  }
);
ArrowLeft.displayName = "ArrowLeft";
Object.assign(ArrowLeft, { isGdsIcon: true });
export {
  ArrowLeft
};
